using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class MasterPage : System.Web.UI.MasterPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadMenu1.LoadContentFile("menu.xml");
        }
        RadMenuItem item = RadMenu1.FindItemByUrl(Request.Url.PathAndQuery);
        if (item != null)
        {

            foreach (RadMenuItem childItem in item.Menu.GetAllItems())
            {
                childItem.CssClass = "";
            }

            item.CssClass = "rmFocused";


            while (item.Owner is RadMenuItem)
            {
                ((RadMenuItem)item.Owner).CssClass = "rmFocused";
                Literal1.Text = item.Text + " > " + Literal1.Text;
                item = (RadMenuItem)item.Owner;

            }

            Literal1.Text = item.Text + " > " + Literal1.Text;
        }        
    }
    protected void RadMenu1_ItemClick(object sender, Telerik.Web.UI.RadMenuEventArgs e)
    {

    }
}
